package org.dromara.zjk.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import org.dromara.zjk.domain.InoutCheck;
import org.dromara.zjk.domain.vo.CheckSupportVo;
import org.dromara.zjk.domain.vo.InoutCheckVo;
import org.dromara.common.mybatis.core.mapper.BaseMapperPlus;

import java.util.List;

/**
 * 【请填写功能名称】Mapper接口
 *
 * @author ygh
 * @date 2025-07-30
 */
public interface InoutCheckMapper extends BaseMapperPlus<InoutCheck, InoutCheckVo> {

    Page<CheckSupportVo> selectCheckInfoList(Page<Object> build, @Param("bo") CheckSupportVo bo);

    List<CheckSupportVo> getInfoListToExpert(@Param("bo") CheckSupportVo bo);

    String getInvFileNameById(String invFileId);

    String getCheckNo();
}
